version: 1.0
artifacts:
  -
    description: List all containers.
    supported_os: [linux]
    collector: command
    command: podman container ls --all --size
    output_file: podman_container_ls_--all_--size.txt
  -
    description: List all images.
    supported_os: [linux]
    collector: command
    command: podman image ls --all
    output_file: podman_image_ls_--all.txt
  -
    description: Display system-wide information.
    supported_os: [linux]
    collector: command
    command: podman info
    output_file: podman_info.txt
  -
    description: Show the Docker version information.
    supported_os: [linux]
    collector: command
    command: podman version
    output_file: podman_version.txt
  -
    description: Display a live stream of one or more container’s resource usage statistics.
    supported_os: [linux]
    collector: command
    command: podman stats --all --no-stream
    output_file: podman_stats_--all_--no-stream.txt
  -
    description: Fetch the logs of all containers.
    supported_os: [linux]
    collector: command
    foreach: podman container ps --all | sed 1d | awk '{print $1}'
    command: podman container logs %line%
    output_file: podman_container_logs_%line%.txt
  -
    description: Return low-level information on Docker objects.
    supported_os: [linux]
    collector: command
    foreach: podman container ps --all | sed 1d | awk '{print $1}'
    command: podman inspect %line%
    output_file: podman_inspect_%line%.txt
  -
    description: Display detailed information on one or more networks.
    supported_os: [linux]
    collector: command
    foreach: podman container ps --all | sed 1d | awk '{print $1}'
    command: podman network inspect %line%
    output_file: podman_network_inspect_%line%.txt
  -
    description: Display the running processes of all containers.
    supported_os: [linux]
    collector: command
    foreach: podman container ps --all | sed 1d | awk '{print $1}'
    command: podman top %line%
    output_file: podman_top_%line%.txt
  -
    description: List all networks.
    supported_os: [linux]
    collector: command
    command: podman network ls
    output_file: podman_network_ls.txt
  -
    description: Displays the raw CNI network configuration for all networks.
    supported_os: [linux]
    collector: command
    foreach: podman network ls | sed 1d | awk '{print $1}'
    command: podman network inspect %line%
    output_file: podman_network_inspect_%line%.txt
  -
    description: List all volumes.
    supported_os: [linux]
    collector: command
    command: podman volume ls
    output_file: podman_volume_ls.txt
  -
    description: Display detailed information about all volumes.
    supported_os: [linux]
    collector: command
    foreach: podman volume ls | sed 1d | awk '{print $2}'
    command: podman volume inspect %line%
    output_file: podman_volume_inspect_%line%.txt
  -
    description: Display changes in the container filesystem since its creation.
    supported_os: [linux]
    collector: command
    foreach: podman container ps --all | sed 1d | awk '{print $1}'
    command: podman diff %line%
    output_file: podman_diff_%line%.txt